Bug 1928959 (CVE-2021-20244) - CVE-2021-20244 ImageMagick: Division by zero in ImplodeImage in MagickCore/visual-effects.c
Summary: CVE-2021-20244 ImageMagick: Division by zero in ImplodeImage in MagickCore/vi...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-20244
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1929932 1929933
Blocks: 1928960 1928961
TreeView+ depends on / blocked
 
Reported: 2021-02-15 21:08 UTC by Pedro Sampaio
Modified: 2021-02-18 19:03 UTC (History)
4 users (show)

Fixed In Version: ImageMagick 7.0.10-62
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in MagickCore/visual-effects.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-18 19:03:08 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-02-15 21:08:30 UTC
A flaw was found in ImageMagick in MagickCore/visual-effects.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. This would most likely lead to an impact to application availability, but could potentially cause other problems related to undefined behavior.

References:

https://github.com/ImageMagick/ImageMagick/pull/3194

Comment 1 RaTasha Tillery-Smith 2021-02-16 14:36:06 UTC
External References:

https://github.com/ImageMagick/ImageMagick/pull/3194

Comment 2 Todd Cullum 2021-02-18 00:33:24 UTC
Flaw Summary:

In MagickCore/visual-effects.c, routine ImplodeImage(), there are fives lines of code which could trigger a divide-by-zero if a crafted image is processed by ImageMagick which sets the image's rows, columns, or several other attributes to 0. These division operations were replaced with the PerceptibleReciprocal() routine in the upstream patch to avoid the problem.

Comment 4 Todd Cullum 2021-02-18 00:36:17 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 6 and 7. To learn more about Red Hat Enterprise Linux support scope, please see https://access.redhat.com/support/policy/updates/errata/ .

Comment 5 Todd Cullum 2021-02-18 00:36:57 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1929932]
Affects: fedora-all [bug 1929933]

Comment 6 Product Security DevOps Team 2021-02-18 19:03:08 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20244


Note You need to log in before you can comment on or make changes to this bug.